"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.devServerConfig = devServerConfig;

var _path = require("path");

var _constants = require("../../constants");

// import { httpsOptions } from '../../server/httpsOptions';
function devServerConfig(options) {
  const {
    context,
    server
  } = options;
  const {
    port
  } = server;
  return {
    static: {
      directory: (0, _path.join)(_constants.appPath, context)
    },
    allowedHosts: 'all',
    // https: httpsOptions(options),
    client: {
      logging: 'error',
      overlay: true
    },
    // contentBase: "app"
    port
  };
}