"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configHtmlWebpackPlugin = configHtmlWebpackPlugin;

var _htmlWebpackPlugin = _interopRequireDefault(require("html-webpack-plugin"));

var _constants = require("../../../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function configHtmlWebpackPlugin(options) {
  const {
    htmlTemplate
  } = options.app;
  const {
    inject
  } = htmlTemplate;
  return new _htmlWebpackPlugin.default({
    filename: 'index.html',
    template: _constants.appInitialHTMLTemplatePath,
    minify: false,
    inject,
    scriptLoading: 'defer'
  });
}