"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNpmVersion = getNpmVersion;

var _child_process = require("child_process");

function getNpmVersion() {
  // require("child_process").
  let vers = '6';

  try {
    [vers] = (0, _child_process.execSync)('npm -v').toString().trim().split('.');
  } catch (error) {
    console.log(error);
  }

  return vers;
}