"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = require("fs");

var _path = require("path");

const allConfigs = [];
(0, _fs.readdirSync)((0, _path.join)(__dirname, 'commands')).forEach(folderName => {
  const modulePath = (0, _path.join)(__dirname, './commands/' + folderName + '/config.js');

  if ((0, _fs.existsSync)(modulePath)) {
    const config = require(modulePath).default;

    allConfigs.push(config);
  }
});
var _default = allConfigs;
exports.default = _default;