"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.replaceCssDirTemplate = replaceCssDirTemplate;
exports.replaceCssDirTemplateMapper = replaceCssDirTemplateMapper;

function replaceCssDirTemplate(filePath, cssDirTemplate) {
  return filePath.replace('[dir]', cssDirTemplate);
}

function replaceCssDirTemplateMapper(assets, cssDirTemplate) {
  return assets.map(filePath => replaceCssDirTemplate(filePath, cssDirTemplate));
}