"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configRtlCssPlugin = configRtlCssPlugin;

var _RtlCssPlugin = require("../custom_plugins/RtlSplitPlugin/RtlCssPlugin");

function configRtlCssPlugin(options) {
  const {
    enableRTLSplit,
    templateLabel,
    disableMinifySelector,
    dirVarName
  } = options.css.plugins.rtlSplit;

  if (!enableRTLSplit) {
    return null;
  }

  return new _RtlCssPlugin.RtlCssPlugin({
    templateLabel,
    disableMinifySelector,
    dirVarName
  });
}